org.modeshape.jboss.metric

## Class MonitorService

- java.lang.Object
- - org.modeshape.jboss.metric.MonitorService

- All Implemented Interfaces:
    org.jboss.msc.service.Service<RepositoryMonitor>, org.jboss.msc.value.Value<RepositoryMonitor>

      public final class MonitorService
      extends Object
      implements org.jboss.msc.service.Service<RepositoryMonitor>

  A service for obtaining the ModeShape monitoring repository statistics.

- - ### Field Summary

    - ### Fields inherited from interface org.jboss.msc.service.Service

      `NULL, NULL_VALUE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MonitorService()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.jboss.msc.value.InjectedValue<JcrRepository>` | `getJcrRepositoryInjector()`
    `RepositoryMonitor` | `getValue()`
    `void` | `start(org.jboss.msc.service.StartContext context)`
    `void` | `stop(org.jboss.msc.service.StopContext context)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MonitorService

          public MonitorService()

  - ### Method Detail

    - #### getValue

          public RepositoryMonitor getValue()
                                     throws IllegalStateException,
                                            IllegalArgumentException

      Specified by:
        `getValue` in interface `org.jboss.msc.value.Value<RepositoryMonitor>`
      Throws:
        `IllegalStateException`
        `IllegalArgumentException`
      See Also:
        `Value.getValue()`

    - #### start

          public void start(org.jboss.msc.service.StartContext context)

      Specified by:
        `start` in interface `org.jboss.msc.service.Service<RepositoryMonitor>`
      See Also:
        `Service.start(org.jboss.msc.service.StartContext)`

    - #### stop

          public void stop(org.jboss.msc.service.StopContext context)

      Specified by:
        `stop` in interface `org.jboss.msc.service.Service<RepositoryMonitor>`
      See Also:
        `Service.stop(org.jboss.msc.service.StopContext)`

    - #### getJcrRepositoryInjector

          public org.jboss.msc.value.InjectedValue<JcrRepository> getJcrRepositoryInjector()

      Returns:
        the repository injector (never `null`)

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.